Bug 1435969 - CEPH RBD mirroring - failed to create a none replicated volume from a replicated snapshot
Summary: CEPH RBD mirroring - failed to create a none replicated volume from a replica...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 11.0 (Ocata)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jon Bernard
QA Contact: Tzach Shefi
URL:
Whiteboard:
Depends On:
Blocks: 1412804
TreeView+ depends on / blocked
 
Reported: 2017-03-26 10:45 UTC by Tzach Shefi
Modified: 2019-07-23 19:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-23 19:14:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
Cinder logs and config (132.54 KB, application/x-gzip)
2017-03-26 10:45 UTC, Tzach Shefi
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 1676146 None None None 2017-03-26 10:45:56 UTC

Description Tzach Shefi 2017-03-26 10:45:56 UTC
Created attachment 1266506 [details]
Cinder logs and config

Description of problem: Creating a none replicated volume from a replicated volume's snapshot creates a replicated volume. Resulting volume should be none replicated rather than replicated. 

Version-Release number of selected component (if applicable):
RHEL7.3
openstack-cinder-10.0.1-0.20170310192919.b05afc3.el7ost.noarch
python-cinderclient-1.11.0-1.el7ost.noarch
puppet-cinder-10.3.0-1.el7ost.noarch
python-cinder-10.0.1-0.20170310192919.b05afc3.el7ost.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Create a replicated volume 
# cinder create 1 --volume-type REPL --name RepVolume

2. Create a snapshot from the replicated volume
# cinder snapshot-create 7b6d1c1f-324e-40ad-ab98-ae7e0a2b312b --name SnapOfReplVolume 

3. Create a NONE replicated volume from snapshot, notice no --volume-type REPL.
# cinder create 1 --snapshot-id 3df8e598-ba30-4608-89cb-39b4d55c53f0 --name NoneReplFromReplicatedSnap

4. Volume is created successfully but it's of type replicated when it shouldn't be!
# cinder show d6f3545b-7868-4f0e-a70e-05323e0e9438
+--------------------------------+--------------------------------------+
| Property                       | Value                                |
+--------------------------------+--------------------------------------+
| attachments                    | []                                   |
| availability_zone              | nova                                 |
| bootable                       | false                                |
| consistencygroup_id            | None                                 |
| created_at                     | 2017-03-26T10:36:29.000000           |
| description                    | None                                 |
| encrypted                      | False                                |
| id                             | d6f3545b-7868-4f0e-a70e-05323e0e9438 |
| metadata                       | {}                                   |
| migration_status               | None                                 |
| multiattach                    | False                                |
| name                           | NoneReplFromReplicatedSnap           |
| os-vol-host-attr:host          | hostgroup@tripleo_ceph#tripleo_ceph  |
| os-vol-mig-status-attr:migstat | None                                 |
| os-vol-mig-status-attr:name_id | None                                 |
| os-vol-tenant-attr:tenant_id   | b0be1dbf85314b6884325434dc7070b8     |
| replication_status             | enabled                              |
| size                           | 1                                    |
| snapshot_id                    | 3df8e598-ba30-4608-89cb-39b4d55c53f0 |
| source_volid                   | None                                 |
| status                         | available                            |
| updated_at                     | 2017-03-26T10:36:30.000000           |
| user_id                        | ebe9590626e14fa58e35c6c9da86ca02     |
| volume_type                    | REPL                                 |
+--------------------------------+--------------------------------------+


Actual results:
A volume is created but notice volume type wrongly created as replicated.

Expected results:
Volume should be created as NONE replicated volume, as I didn't ask for it to be replicated. 

Additional info:
Could be a misunderstanding on my part. 
As a user I didn't set replicated I don't expect volume to be replicated.

Comment 1 Paul Grist 2017-04-06 03:08:21 UTC
Targeting the replication testing bugs found to OSP12

Comment 6 John Visser 2019-07-23 19:14:30 UTC
Will be resolved when  replication is correctly deployed (OSP-17) and tripleO can deploy a replicated volume


Note You need to log in before you can comment on or make changes to this bug.